Subject: RE: authentication troubles

From: [email-masked]
Date: Tue, 19 Feb 2002 13:39:47 -0800

I am having the same problem - it seems epidemic. I grepped my
/var/log/messages file and received the following output.

It looks like a dynamic linking problem.

Feb 14 18:28:44 geobase3 afpd[830]: [ID 943140 daemon.error] uam_register:
"Clea
rtxt Passwrd" already loaded by uams_pam.so
Feb 14 18:28:44 geobase3 afpd[830]: [ID 113155 daemon.error]
uam_load(uams_pam.s
o): uam_setup failed
Feb 14 18:36:29 geobase3 afpd[893]: [ID 943140 daemon.error] uam_register:
"Clea
rtxt Passwrd" already loaded by uams_pam.so
Feb 14 18:36:29 geobase3 afpd[893]: [ID 113155 daemon.error]
uam_load(uams_pam.s
o): uam_setup failed
Feb 15 12:31:24 geobase3 afpd[1293]: [ID 272954 daemon.error]
uam_load(uams_gues
t.so): failed to load: ld.so.1: /usr/local/sbin/afpd: fatal:
/usr/ccs/bin/ranlib
/libkrb.so.1: Not a directory
Feb 15 12:31:24 geobase3 afpd[1293]: [ID 272954 daemon.error]
uam_load(uams_clrt
xt.so): failed to load: ld.so.1: /usr/local/sbin/afpd: fatal:
/usr/ccs/bin/ranli
b/libkrb.so.1: Not a directory
Feb 15 12:35:58 geobase3 afpd[1330]: [ID 272954 daemon.error]
uam_load(uams_clrt
xt.so): failed to load: ld.so.1: /usr/local/sbin/afpd: fatal:
/usr/ccs/bin/ranli
b/libkrb.so.1: Not a directory
Feb 15 13:15:31 geobase3 afpd[13796]: [ID 395270 daemon.error]
uam_load(uams_dhx
_pam.so): mod_symbol error for symbol uams_dhx_pam
Feb 15 13:26:28 geobase3 afpd[13880]: [ID 395270 daemon.error]
uam_load(uams_dhx
_pam.so): mod_symbol error for symbol uams_dhx_pam

> ----------
> From: 	Paul Krohn
> Sent: 	Tuesday, February 19, 2002 12:37 PM
> To: 	[email-masked]
> Subject: 	Re: authentication troubles
> 
> Quoting Thomas Kaiser <[email-masked]>:
> 
> > On Tue, 19 Feb 2002 14:13:21 +0000 (GMT), S.Barbaresi wrote:
> > 
> > >> 2) afpd startup messages regarding UAMs ('grep'ing the syslog for
> > "uam"),
> > >> eg. something like:
> > > 
> > > No uams entries in syslog.
> > 
> > Hmm... strange. But I haven't built Netatalk on Solaris before. Do
> > others
> > get messages regarding missing/used UAMs in /var/adm/messages?
> 
> I get nothing in /var/log/syslog or /var/adm messages during a failed
> login.
> 
> > 
> > >> 3) The complete list of UAMs in the folder, afpd is searching in:
> > 
> > Are there any? What does the path in your Makefile inside Netatalk's
> > source
> > dir say? Something like "UAMS_PATH =
> > /usr/local/atalk/etc/netatalk/uams"?
> > 
> > And if so: What is in this directory?
> 
> prefix = /usr/local/atalk
> UAMS_PATH = ${prefix}/etc/netatalk/uams
> 
> total 1064
> lrwxrwxrwx   1 root     other         14 Feb 17 13:35 uams_clrtxt.so ->
> uams_passwd.so
> lrwxrwxrwx   1 root     other         18 Feb 17 13:35 uams_dhx.so ->
> uams_dhx_passwd.so
> -rw-r--r--   1 root     other      38496 Feb 17 13:35 uams_dhx_passwd.a
> -rwxr-xr-x   1 root     other        933 Feb 17 13:35 uams_dhx_passwd.la
> -rwxr-xr-x   1 root     other     225595 Feb 17 13:35 uams_dhx_passwd.so
> -rw-r--r--   1 root     other      31070 Feb 17 13:35 uams_guest.a
> -rwxr-xr-x   1 root     other        813 Feb 17 13:35 uams_guest.la
> -rwxr-xr-x   1 root     other      36753 Feb 17 13:35 uams_guest.so
> -rw-r--r--   1 root     other      32982 Feb 17 13:35 uams_passwd.a
> -rwxr-xr-x   1 root     other        820 Feb 17 13:35 uams_passwd.la
> -rwxr-xr-x   1 root     other      38916 Feb 17 13:35 uams_passwd.so
> -rw-r--r--   1 root     other      43314 Feb 17 13:35 uams_randnum.a
> -rwxr-xr-x   1 root     other        912 Feb 17 13:35 uams_randnum.la
> -rwxr-xr-x   1 root     other      75698 Feb 17 13:35 uams_randnum.so
> 
> > 
> > >> 4) In case you are using PAM, some more details, how PAM is set up
> > (as
> > >> Sebastian asked for already)
> > > 
> > > [...]
> 
> I' not using PAM, thought I ought to get the simple case working first.
> I'd like
> to get it to use NIS eventually ... I assume this will require PAM?
> 
> > 
> > On Tue, 19 Feb 2002 14:43:08 +0000 (GMT), S.Barbaresi wrote:
> > 
> > > Feb 19 14:04:42 steffigraf afpd[22261]: [ID 511611 auth.error]
> > atp_rresp:
> > > Connection timed out
> > > Feb 19 14:04:52 steffigraf afpd[22261]: [ID 505962 auth.error]
> > afp_die:
> > > asp_shutdown: Connection timed out
> > 
> > What does your afpd.conf look like? Do you allow AFPoverTCP (-transall)
> > too?
> > Please post your afpd's startup messages.
> 
> Feb 19 11:32:39 lancelot ddp: [ID 772870 kern.info] netatalk 1.5.2
> Feb 19 11:32:39 lancelot afpd[891]: [ID 449902 daemon.error] main:
> atp_open: Can
> not assign requested address
> 
> The atp_open is because atalkd is not running at the moment.
> 
> > 
> > If you can reach the server via AFPoverTCP then try to connect via
> > entering
> > it's IP address in the chooser instead of selecting the server name.
> > 
> > Maybe the whole problem is related to some AppleTalk trouble (empty
> > ASP
> > packets -- who knows?)
> > 
> > Regards,
> > 
> > Thomas
> > 
> 
>